<?php

/* ************************************************************************************************
		Admin functions
************************************************************************************************ */

/**** Load metaboxes declaration ****/
    include_once( TEMPLATEPATH . '/_admin/meta_boxes.php' );
   

/**** Load admin posts listing ****/
    include_once( TEMPLATEPATH . '/_admin/listings_admin.php' );
    

/**** Load theme options ****/
    include_once( TEMPLATEPATH . '/_admin/options/options-config.php' );
    include_once( TEMPLATEPATH . '/_admin/options/admin-option-page.php' );
    include_once( TEMPLATEPATH . '/_admin/options/options-functions.php' );
/****/

/**** Load update 1.4****/
    include( TEMPLATEPATH . '/_admin/maj/novavideo_1.4.php' );

/**** Load admin js and css ****/
    function novavideo_import_main_js_css() {
        
        //load css
        wp_enqueue_style('admin_style', get_bloginfo( 'template_url' ) . '/_admin/css/style.css');
        
        //load js
        wp_register_script( 'admin_js', get_bloginfo( 'template_url' ) . '/_admin/js/script.js', array("jquery"), '1.0', true );
        wp_enqueue_script('admin_js');
        
        wp_enqueue_script('jquery-ui-tabs');
        wp_enqueue_script('jquery-ui-slider');
        
        //localize ajax script
        wp_localize_script('admin_js', 'ajax_var', array(
        	'url'   => admin_url('admin-ajax.php'),
        	'nonce' => wp_create_nonce('ajax-nonce')
        ));
        
        wp_enqueue_script( 'novavideo_ajax_scripts',  get_bloginfo( 'template_url' ) . '/_admin/js/ajax.js', array('jquery'));
        wp_enqueue_script('novavideo_ajax_scripts');
        wp_localize_script('novavideo_ajax_scripts', 'ajax_var', array(
            	'url' => admin_url('admin-ajax.php'),
            	'nonce' => wp_create_nonce('ajax-nonce')
        ));
            
    }
    
    add_action('admin_init', 'novavideo_import_main_js_css');
/****/

/**** Activate post formats ****/
if (function_exists('add_theme_support')) {
    add_theme_support( 'post-formats', array( 'video' ) );
}