﻿<?php

include_once( TEMPLATEPATH . '/_includes/mobile-detect.php' );

/*********************************************************/
/********************** VIDEOS ***************************/
/*********************************************************/

   function novavideo_statsdiv_block() {
        add_meta_box(
                    'statsdivVideo',
            		'Novavideo - ' . __('Video stats', novavideo_get_theme_name()),
            		'novavideo_stats_video_display_meta_box',
            		'post',
            		'side',
            		'high'
                    );
    }
    function novavideo_stats_video_display_meta_box($post){
        ?>
        
        <div class="misc-pub-section">
            <strong><?php echo novavideo_getPostViews( $post->ID, 'views', true );?></strong>
        </div>
        <div class="misc-pub-section">
            <?php _e('Rates', novavideo_get_theme_name()); ?> : <strong><?php echo (int) get_post_meta( $post->ID, 'likes_count', true) + (int) get_post_meta( $post->ID, 'dislikes_count', true);?></strong>
            <?php if( novavideo_getPostLikeRate(get_the_ID()) === false ) $is_rated_yet = " not-rated-yet";?>
            <div class="note-bar<?php echo $is_rated_yet;?>">
                    <div class="like-bar" style="width:<?php echo novavideo_getPostLikeRate(get_the_ID());?>%;"></div>
            </div>
            <span class="rating-img"></span><strong><span class="rating<?php echo $is_rated_yet;?>"><?php echo novavideo_getItemPostLikeRate( $post->ID, 'like', true )?novavideo_getItemPostLikeRate( $post->ID, 'like', true ) : _e('No rating', novavideo_get_theme_name());?></span></strong>
        </div>
       
        
    <?php
    }
    add_action( 'admin_menu' , 'novavideo_statsdiv_block' ); 
    
    
    //Ajout de la zone 'Informations complémentaires' dans une vidéo
    add_action('add_meta_boxes', 'novavideo_infos_video_add_meta_box', 10, 1);
    function novavideo_infos_video_add_meta_box()
    {
    	add_meta_box(
    		'video_box3',
    		'Novavideo - ' . __('Video information', novavideo_get_theme_name()),
    		'novavideo_infos_video_display_meta_box',
    		'post',
    		'advanced',
    		'default'
    	);
    }

    //Affichage de la zone 'Informations complémentaires' dans une vidéo
    function novavideo_infos_video_display_meta_box($post, $args)
    {
        
    ?>
        <table class="form-table">
            
        <?php if ( get_post_meta($post->ID, 'sponsor', true) ) : ?>
        
            <tr valign="top">  
            
                <th scope="row">
                
                    <img width="22" height="22" style="float: left; vertical-align: middle; margin: -3px 5px 0 0;" src="<?php bloginfo('template_url'); ?>/_admin/images/video-from.png" alt="<?php _e('Video from', novavideo_get_theme_name()); ?>"/><?php _e('Video from', novavideo_get_theme_name()); ?>
                
                </th>
                
                <td>
                    <?php echo '<img src="http://www.20script.ir/' . get_post_meta($post->ID, 'sponsor', true) . '.jpg" alt="' . get_post_meta($post->ID, 'sponsor', true) . '"/>';?>
                </td>
            
            </tr>
        
        <?php endif; ?> 
        
        <?php /* <tr valign="top">
            
            <th scope="row">
            
                <img width="24" height="24" style="float: left; vertical-align: middle; margin: -3px 5px 0 0;" src="<?php bloginfo('template_url'); ?>/_admin/images/extract-duration.png" alt="<?php _e('Extract duration', novavideo_get_theme_name()); ?>"/><?php _e('Extract duration', novavideo_get_theme_name()); ?>
    
            </th>
            
            <td>
            
                <?php 
                    $hh_extrait = '';
                    $mm_extrait = '';
                    $ss_extrait = '';
                    
                    if( get_post_meta($post->ID, 'extract', true) != '' ){
                        
                        $duree_extrait = get_post_meta($post->ID, 'extract', true);
                        $hh_extrait = date( "H", $duree_extrait);
                        $mm_extrait = date( "i", $duree_extrait);
                        $ss_extrait = date( "s", $duree_extrait);
                        
                    }
                ?>
            
                <select name="duree_extrait_hh">
                
                    <option <?php if ($hh_extrait == "00") echo ' selected="selected"';?> value="00">00</option>
                    <option <?php if ($hh_extrait == "01") echo ' selected="selected"';?> value="01">01</option>
                    <option <?php if ($hh_extrait == "02") echo ' selected="selected"';?> value="02">02</option>
                    <option <?php if ($hh_extrait == "03") echo ' selected="selected"';?> value="03">03</option>
                    <option <?php if ($hh_extrait == "04") echo ' selected="selected"';?> value="04">04</option>
                    <option <?php if ($hh_extrait == "05") echo ' selected="selected"';?> value="05">05</option>
                    <option <?php if ($hh_extrait == "06") echo ' selected="selected"';?> value="06">06</option>
                    <option <?php if ($hh_extrait == "07") echo ' selected="selected"';?> value="07">07</option>
                    <option <?php if ($hh_extrait == "08") echo ' selected="selected"';?> value="08">08</option>
                    <option <?php if ($hh_extrait == "09") echo ' selected="selected"';?> value="09">09</option>
                    <option <?php if ($hh_extrait == "10") echo ' selected="selected"';?> value="10">10</option>
                                       
                </select>
                h
                <select name="duree_extrait_mm">
                    
                    <option <?php if ($mm_extrait == "00") echo ' selected="selected"';?> value="00">00</option>
                    <option <?php if ($mm_extrait == "01") echo ' selected="selected"';?> value="01">01</option>
                    <option <?php if ($mm_extrait == "02") echo ' selected="selected"';?> value="02">02</option>
                    <option <?php if ($mm_extrait == "03") echo ' selected="selected"';?> value="03">03</option>
                    <option <?php if ($mm_extrait == "04") echo ' selected="selected"';?> value="04">04</option>
                    <option <?php if ($mm_extrait == "05") echo ' selected="selected"';?> value="05">05</option>
                    <option <?php if ($mm_extrait == "06") echo ' selected="selected"';?> value="06">06</option>
                    <option <?php if ($mm_extrait == "07") echo ' selected="selected"';?> value="07">07</option>
                    <option <?php if ($mm_extrait == "08") echo ' selected="selected"';?> value="08">08</option>
                    <option <?php if ($mm_extrait == "09") echo ' selected="selected"';?> value="09">09</option>
                    <option <?php if ($mm_extrait == "10") echo ' selected="selected"';?> value="10">10</option>
                    <option <?php if ($mm_extrait == "11") echo ' selected="selected"';?> value="11">11</option>
                    <option <?php if ($mm_extrait == "12") echo ' selected="selected"';?> value="12">12</option>
                    <option <?php if ($mm_extrait == "13") echo ' selected="selected"';?> value="13">13</option>
                    <option <?php if ($mm_extrait == "14") echo ' selected="selected"';?> value="14">14</option>
                    <option <?php if ($mm_extrait == "15") echo ' selected="selected"';?> value="15">15</option>
                    <option <?php if ($mm_extrait == "16") echo ' selected="selected"';?> value="16">16</option>
                    <option <?php if ($mm_extrait == "17") echo ' selected="selected"';?> value="17">17</option>
                    <option <?php if ($mm_extrait == "18") echo ' selected="selected"';?> value="18">18</option>
                    <option <?php if ($mm_extrait == "19") echo ' selected="selected"';?> value="19">19</option>
                    <option <?php if ($mm_extrait == "20") echo ' selected="selected"';?> value="20">20</option>
                    <option <?php if ($mm_extrait == "21") echo ' selected="selected"';?> value="21">21</option>
                    <option <?php if ($mm_extrait == "22") echo ' selected="selected"';?> value="22">22</option>
                    <option <?php if ($mm_extrait == "23") echo ' selected="selected"';?> value="23">23</option>
                    <option <?php if ($mm_extrait == "24") echo ' selected="selected"';?> value="24">24</option>
                    <option <?php if ($mm_extrait == "25") echo ' selected="selected"';?> value="25">25</option>
                    <option <?php if ($mm_extrait == "26") echo ' selected="selected"';?> value="26">26</option>
                    <option <?php if ($mm_extrait == "27") echo ' selected="selected"';?> value="27">27</option>
                    <option <?php if ($mm_extrait == "28") echo ' selected="selected"';?> value="28">28</option>
                    <option <?php if ($mm_extrait == "29") echo ' selected="selected"';?> value="29">29</option>
                    <option <?php if ($mm_extrait == "30") echo ' selected="selected"';?> value="30">30</option>
                    <option <?php if ($mm_extrait == "31") echo ' selected="selected"';?> value="31">31</option>
                    <option <?php if ($mm_extrait == "32") echo ' selected="selected"';?> value="32">32</option>
                    <option <?php if ($mm_extrait == "33") echo ' selected="selected"';?> value="33">33</option>
                    <option <?php if ($mm_extrait == "34") echo ' selected="selected"';?> value="34">34</option>
                    <option <?php if ($mm_extrait == "35") echo ' selected="selected"';?> value="35">35</option>
                    <option <?php if ($mm_extrait == "36") echo ' selected="selected"';?> value="36">36</option>
                    <option <?php if ($mm_extrait == "37") echo ' selected="selected"';?> value="37">37</option>
                    <option <?php if ($mm_extrait == "38") echo ' selected="selected"';?> value="38">38</option>
                    <option <?php if ($mm_extrait == "39") echo ' selected="selected"';?> value="39">39</option>
                    <option <?php if ($mm_extrait == "40") echo ' selected="selected"';?> value="40">40</option>
                    <option <?php if ($mm_extrait == "41") echo ' selected="selected"';?> value="41">41</option>
                    <option <?php if ($mm_extrait == "42") echo ' selected="selected"';?> value="42">42</option>
                    <option <?php if ($mm_extrait == "43") echo ' selected="selected"';?> value="43">43</option>
                    <option <?php if ($mm_extrait == "44") echo ' selected="selected"';?> value="44">44</option>
                    <option <?php if ($mm_extrait == "45") echo ' selected="selected"';?> value="45">45</option>
                    <option <?php if ($mm_extrait == "46") echo ' selected="selected"';?> value="46">46</option>
                    <option <?php if ($mm_extrait == "47") echo ' selected="selected"';?> value="47">47</option>
                    <option <?php if ($mm_extrait == "48") echo ' selected="selected"';?> value="48">48</option>
                    <option <?php if ($mm_extrait == "49") echo ' selected="selected"';?> value="49">49</option>
                    <option <?php if ($mm_extrait == "50") echo ' selected="selected"';?> value="50">50</option>
                    <option <?php if ($mm_extrait == "51") echo ' selected="selected"';?> value="51">51</option>
                    <option <?php if ($mm_extrait == "52") echo ' selected="selected"';?> value="52">52</option>
                    <option <?php if ($mm_extrait == "53") echo ' selected="selected"';?> value="53">53</option>
                    <option <?php if ($mm_extrait == "54") echo ' selected="selected"';?> value="54">54</option>
                    <option <?php if ($mm_extrait == "55") echo ' selected="selected"';?> value="55">55</option>
                    <option <?php if ($mm_extrait == "56") echo ' selected="selected"';?> value="56">56</option>
                    <option <?php if ($mm_extrait == "57") echo ' selected="selected"';?> value="57">57</option>
                    <option <?php if ($mm_extrait == "58") echo ' selected="selected"';?> value="58">58</option>
                    <option <?php if ($mm_extrait == "59") echo ' selected="selected"';?> value="59">59</option>
                
                </select>
                m
                <select name="duree_extrait_ss">
                
                    <option <?php if ($ss_extrait == "00") echo ' selected="selected"';?> value="00">00</option>
                    <option <?php if ($ss_extrait == "01") echo ' selected="selected"';?> value="01">01</option>
                    <option <?php if ($ss_extrait == "02") echo ' selected="selected"';?> value="02">02</option>
                    <option <?php if ($ss_extrait == "03") echo ' selected="selected"';?> value="03">03</option>
                    <option <?php if ($ss_extrait == "04") echo ' selected="selected"';?> value="04">04</option>
                    <option <?php if ($ss_extrait == "05") echo ' selected="selected"';?> value="05">05</option>
                    <option <?php if ($ss_extrait == "06") echo ' selected="selected"';?> value="06">06</option>
                    <option <?php if ($ss_extrait == "07") echo ' selected="selected"';?> value="07">07</option>
                    <option <?php if ($ss_extrait == "08") echo ' selected="selected"';?> value="08">08</option>
                    <option <?php if ($ss_extrait == "09") echo ' selected="selected"';?> value="09">09</option>
                    <option <?php if ($ss_extrait == "10") echo ' selected="selected"';?> value="10">10</option>
                    <option <?php if ($ss_extrait == "11") echo ' selected="selected"';?> value="11">11</option>
                    <option <?php if ($ss_extrait == "12") echo ' selected="selected"';?> value="12">12</option>
                    <option <?php if ($ss_extrait == "13") echo ' selected="selected"';?> value="13">13</option>
                    <option <?php if ($ss_extrait == "14") echo ' selected="selected"';?> value="14">14</option>
                    <option <?php if ($ss_extrait == "15") echo ' selected="selected"';?> value="15">15</option>
                    <option <?php if ($ss_extrait == "16") echo ' selected="selected"';?> value="16">16</option>
                    <option <?php if ($ss_extrait == "17") echo ' selected="selected"';?> value="17">17</option>
                    <option <?php if ($ss_extrait == "18") echo ' selected="selected"';?> value="18">18</option>
                    <option <?php if ($ss_extrait == "19") echo ' selected="selected"';?> value="19">19</option>
                    <option <?php if ($ss_extrait == "20") echo ' selected="selected"';?> value="20">20</option>
                    <option <?php if ($ss_extrait == "21") echo ' selected="selected"';?> value="21">21</option>
                    <option <?php if ($ss_extrait == "22") echo ' selected="selected"';?> value="22">22</option>
                    <option <?php if ($ss_extrait == "23") echo ' selected="selected"';?> value="23">23</option>
                    <option <?php if ($ss_extrait == "24") echo ' selected="selected"';?> value="24">24</option>
                    <option <?php if ($ss_extrait == "25") echo ' selected="selected"';?> value="25">25</option>
                    <option <?php if ($ss_extrait == "26") echo ' selected="selected"';?> value="26">26</option>
                    <option <?php if ($ss_extrait == "27") echo ' selected="selected"';?> value="27">27</option>
                    <option <?php if ($ss_extrait == "28") echo ' selected="selected"';?> value="28">28</option>
                    <option <?php if ($ss_extrait == "29") echo ' selected="selected"';?> value="29">29</option>
                    <option <?php if ($ss_extrait == "30") echo ' selected="selected"';?> value="30">30</option>
                    <option <?php if ($ss_extrait == "31") echo ' selected="selected"';?> value="31">31</option>
                    <option <?php if ($ss_extrait == "32") echo ' selected="selected"';?> value="32">32</option>
                    <option <?php if ($ss_extrait == "33") echo ' selected="selected"';?> value="33">33</option>
                    <option <?php if ($ss_extrait == "34") echo ' selected="selected"';?> value="34">34</option>
                    <option <?php if ($ss_extrait == "35") echo ' selected="selected"';?> value="35">35</option>
                    <option <?php if ($ss_extrait == "36") echo ' selected="selected"';?> value="36">36</option>
                    <option <?php if ($ss_extrait == "37") echo ' selected="selected"';?> value="37">37</option>
                    <option <?php if ($ss_extrait == "38") echo ' selected="selected"';?> value="38">38</option>
                    <option <?php if ($ss_extrait == "39") echo ' selected="selected"';?> value="39">39</option>
                    <option <?php if ($ss_extrait == "40") echo ' selected="selected"';?> value="40">40</option>
                    <option <?php if ($ss_extrait == "41") echo ' selected="selected"';?> value="41">41</option>
                    <option <?php if ($ss_extrait == "42") echo ' selected="selected"';?> value="42">42</option>
                    <option <?php if ($ss_extrait == "43") echo ' selected="selected"';?> value="43">43</option>
                    <option <?php if ($ss_extrait == "44") echo ' selected="selected"';?> value="44">44</option>
                    <option <?php if ($ss_extrait == "45") echo ' selected="selected"';?> value="45">45</option>
                    <option <?php if ($ss_extrait == "46") echo ' selected="selected"';?> value="46">46</option>
                    <option <?php if ($ss_extrait == "47") echo ' selected="selected"';?> value="47">47</option>
                    <option <?php if ($ss_extrait == "48") echo ' selected="selected"';?> value="48">48</option>
                    <option <?php if ($ss_extrait == "49") echo ' selected="selected"';?> value="49">49</option>
                    <option <?php if ($ss_extrait == "50") echo ' selected="selected"';?> value="50">50</option>
                    <option <?php if ($ss_extrait == "51") echo ' selected="selected"';?> value="51">51</option>
                    <option <?php if ($ss_extrait == "52") echo ' selected="selected"';?> value="52">52</option>
                    <option <?php if ($ss_extrait == "53") echo ' selected="selected"';?> value="53">53</option>
                    <option <?php if ($ss_extrait == "54") echo ' selected="selected"';?> value="54">54</option>
                    <option <?php if ($ss_extrait == "55") echo ' selected="selected"';?> value="55">55</option>
                    <option <?php if ($ss_extrait == "56") echo ' selected="selected"';?> value="56">56</option>
                    <option <?php if ($ss_extrait == "57") echo ' selected="selected"';?> value="57">57</option>
                    <option <?php if ($ss_extrait == "58") echo ' selected="selected"';?> value="58">58</option>
                    <option <?php if ($ss_extrait == "59") echo ' selected="selected"';?> value="59">59</option>
                            
                </select>
                s
            
            </td>
            
        </tr> */?>
        
        <tr valign="top">
            
            <th scope="row">
            
                <img width="24" height="24" style="float: left; vertical-align: middle; margin: -3px 5px 0 0;" src="<?php bloginfo('template_url'); ?>/_admin/images/extract-duration.png" alt="<?php _e('Video duration', novavideo_get_theme_name()); ?>"/><?php _e('Video duration', novavideo_get_theme_name()); ?>
            
            </th>
            
            <td>
                
                <?php
                    $hh = '';
                    $mm = '';
                    $ss = '';
                    
                    if( get_post_meta($post->ID, 'complete', true) != '' ){
                    
                        $duree = get_post_meta($post->ID, 'complete', true);
                        $hh = date( "H", $duree);
                        $mm = date( "i", $duree);
                        $ss = date( "s", $duree);
                    
                    }
                ?>
            
                <select name="duree_hh">
                
                    <option <?php if ($hh == "00") echo ' selected="selected"';?> value="00">00</option>
                    <option <?php if ($hh == "01") echo ' selected="selected"';?> value="01">01</option>
                    <option <?php if ($hh == "02") echo ' selected="selected"';?> value="02">02</option>
                    <option <?php if ($hh == "03") echo ' selected="selected"';?> value="03">03</option>
                    <option <?php if ($hh == "04") echo ' selected="selected"';?> value="04">04</option>
                    <option <?php if ($hh == "05") echo ' selected="selected"';?> value="05">05</option>
                    <option <?php if ($hh == "06") echo ' selected="selected"';?> value="06">06</option>
                    <option <?php if ($hh == "07") echo ' selected="selected"';?> value="07">07</option>
                    <option <?php if ($hh == "08") echo ' selected="selected"';?> value="08">08</option>
                    <option <?php if ($hh == "09") echo ' selected="selected"';?> value="09">09</option>
                    <option <?php if ($hh == "10") echo ' selected="selected"';?> value="10">10</option>
                                       
                </select>
                h
                <select name="duree_mm">
                    
                    <option <?php if ($mm == "00") echo ' selected="selected"';?> value="00">00</option>
                    <option <?php if ($mm == "01") echo ' selected="selected"';?> value="01">01</option>
                    <option <?php if ($mm == "02") echo ' selected="selected"';?> value="02">02</option>
                    <option <?php if ($mm == "03") echo ' selected="selected"';?> value="03">03</option>
                    <option <?php if ($mm == "04") echo ' selected="selected"';?> value="04">04</option>
                    <option <?php if ($mm == "05") echo ' selected="selected"';?> value="05">05</option>
                    <option <?php if ($mm == "06") echo ' selected="selected"';?> value="06">06</option>
                    <option <?php if ($mm == "07") echo ' selected="selected"';?> value="07">07</option>
                    <option <?php if ($mm == "08") echo ' selected="selected"';?> value="08">08</option>
                    <option <?php if ($mm == "09") echo ' selected="selected"';?> value="09">09</option>
                    <option <?php if ($mm == "10") echo ' selected="selected"';?> value="10">10</option>
                    <option <?php if ($mm == "11") echo ' selected="selected"';?> value="11">11</option>
                    <option <?php if ($mm == "12") echo ' selected="selected"';?> value="12">12</option>
                    <option <?php if ($mm == "13") echo ' selected="selected"';?> value="13">13</option>
                    <option <?php if ($mm == "14") echo ' selected="selected"';?> value="14">14</option>
                    <option <?php if ($mm == "15") echo ' selected="selected"';?> value="15">15</option>
                    <option <?php if ($mm == "16") echo ' selected="selected"';?> value="16">16</option>
                    <option <?php if ($mm == "17") echo ' selected="selected"';?> value="17">17</option>
                    <option <?php if ($mm == "18") echo ' selected="selected"';?> value="18">18</option>
                    <option <?php if ($mm == "19") echo ' selected="selected"';?> value="19">19</option>
                    <option <?php if ($mm == "20") echo ' selected="selected"';?> value="20">20</option>
                    <option <?php if ($mm == "21") echo ' selected="selected"';?> value="21">21</option>
                    <option <?php if ($mm == "22") echo ' selected="selected"';?> value="22">22</option>
                    <option <?php if ($mm == "23") echo ' selected="selected"';?> value="23">23</option>
                    <option <?php if ($mm == "24") echo ' selected="selected"';?> value="24">24</option>
                    <option <?php if ($mm == "25") echo ' selected="selected"';?> value="25">25</option>
                    <option <?php if ($mm == "26") echo ' selected="selected"';?> value="26">26</option>
                    <option <?php if ($mm == "27") echo ' selected="selected"';?> value="27">27</option>
                    <option <?php if ($mm == "28") echo ' selected="selected"';?> value="28">28</option>
                    <option <?php if ($mm == "29") echo ' selected="selected"';?> value="29">29</option>
                    <option <?php if ($mm == "30") echo ' selected="selected"';?> value="30">30</option>
                    <option <?php if ($mm == "31") echo ' selected="selected"';?> value="31">31</option>
                    <option <?php if ($mm == "32") echo ' selected="selected"';?> value="32">32</option>
                    <option <?php if ($mm == "33") echo ' selected="selected"';?> value="33">33</option>
                    <option <?php if ($mm == "34") echo ' selected="selected"';?> value="34">34</option>
                    <option <?php if ($mm == "35") echo ' selected="selected"';?> value="35">35</option>
                    <option <?php if ($mm == "36") echo ' selected="selected"';?> value="36">36</option>
                    <option <?php if ($mm == "37") echo ' selected="selected"';?> value="37">37</option>
                    <option <?php if ($mm == "38") echo ' selected="selected"';?> value="38">38</option>
                    <option <?php if ($mm == "39") echo ' selected="selected"';?> value="39">39</option>
                    <option <?php if ($mm == "40") echo ' selected="selected"';?> value="40">40</option>
                    <option <?php if ($mm == "41") echo ' selected="selected"';?> value="41">41</option>
                    <option <?php if ($mm == "42") echo ' selected="selected"';?> value="42">42</option>
                    <option <?php if ($mm == "43") echo ' selected="selected"';?> value="43">43</option>
                    <option <?php if ($mm == "44") echo ' selected="selected"';?> value="44">44</option>
                    <option <?php if ($mm == "45") echo ' selected="selected"';?> value="45">45</option>
                    <option <?php if ($mm == "46") echo ' selected="selected"';?> value="46">46</option>
                    <option <?php if ($mm == "47") echo ' selected="selected"';?> value="47">47</option>
                    <option <?php if ($mm == "48") echo ' selected="selected"';?> value="48">48</option>
                    <option <?php if ($mm == "49") echo ' selected="selected"';?> value="49">49</option>
                    <option <?php if ($mm == "50") echo ' selected="selected"';?> value="50">50</option>
                    <option <?php if ($mm == "51") echo ' selected="selected"';?> value="51">51</option>
                    <option <?php if ($mm == "52") echo ' selected="selected"';?> value="52">52</option>
                    <option <?php if ($mm == "53") echo ' selected="selected"';?> value="53">53</option>
                    <option <?php if ($mm == "54") echo ' selected="selected"';?> value="54">54</option>
                    <option <?php if ($mm == "55") echo ' selected="selected"';?> value="55">55</option>
                    <option <?php if ($mm == "56") echo ' selected="selected"';?> value="56">56</option>
                    <option <?php if ($mm == "57") echo ' selected="selected"';?> value="57">57</option>
                    <option <?php if ($mm == "58") echo ' selected="selected"';?> value="58">58</option>
                    <option <?php if ($mm == "59") echo ' selected="selected"';?> value="59">59</option>
                
                </select>
                m
                <select name="duree_ss">
                
                    <option <?php if ($ss == "00") echo ' selected="selected"';?> value="00">00</option>
                    <option <?php if ($ss == "01") echo ' selected="selected"';?> value="01">01</option>
                    <option <?php if ($ss == "02") echo ' selected="selected"';?> value="02">02</option>
                    <option <?php if ($ss == "03") echo ' selected="selected"';?> value="03">03</option>
                    <option <?php if ($ss == "04") echo ' selected="selected"';?> value="04">04</option>
                    <option <?php if ($ss == "05") echo ' selected="selected"';?> value="05">05</option>
                    <option <?php if ($ss == "06") echo ' selected="selected"';?> value="06">06</option>
                    <option <?php if ($ss == "07") echo ' selected="selected"';?> value="07">07</option>
                    <option <?php if ($ss == "08") echo ' selected="selected"';?> value="08">08</option>
                    <option <?php if ($ss == "09") echo ' selected="selected"';?> value="09">09</option>
                    <option <?php if ($ss == "10") echo ' selected="selected"';?> value="10">10</option>
                    <option <?php if ($ss == "11") echo ' selected="selected"';?> value="11">11</option>
                    <option <?php if ($ss == "12") echo ' selected="selected"';?> value="12">12</option>
                    <option <?php if ($ss == "13") echo ' selected="selected"';?> value="13">13</option>
                    <option <?php if ($ss == "14") echo ' selected="selected"';?> value="14">14</option>
                    <option <?php if ($ss == "15") echo ' selected="selected"';?> value="15">15</option>
                    <option <?php if ($ss == "16") echo ' selected="selected"';?> value="16">16</option>
                    <option <?php if ($ss == "17") echo ' selected="selected"';?> value="17">17</option>
                    <option <?php if ($ss == "18") echo ' selected="selected"';?> value="18">18</option>
                    <option <?php if ($ss == "19") echo ' selected="selected"';?> value="19">19</option>
                    <option <?php if ($ss == "20") echo ' selected="selected"';?> value="20">20</option>
                    <option <?php if ($ss == "21") echo ' selected="selected"';?> value="21">21</option>
                    <option <?php if ($ss == "22") echo ' selected="selected"';?> value="22">22</option>
                    <option <?php if ($ss == "23") echo ' selected="selected"';?> value="23">23</option>
                    <option <?php if ($ss == "24") echo ' selected="selected"';?> value="24">24</option>
                    <option <?php if ($ss == "25") echo ' selected="selected"';?> value="25">25</option>
                    <option <?php if ($ss == "26") echo ' selected="selected"';?> value="26">26</option>
                    <option <?php if ($ss == "27") echo ' selected="selected"';?> value="27">27</option>
                    <option <?php if ($ss == "28") echo ' selected="selected"';?> value="28">28</option>
                    <option <?php if ($ss == "29") echo ' selected="selected"';?> value="29">29</option>
                    <option <?php if ($ss == "30") echo ' selected="selected"';?> value="30">30</option>
                    <option <?php if ($ss == "31") echo ' selected="selected"';?> value="31">31</option>
                    <option <?php if ($ss == "32") echo ' selected="selected"';?> value="32">32</option>
                    <option <?php if ($ss == "33") echo ' selected="selected"';?> value="33">33</option>
                    <option <?php if ($ss == "34") echo ' selected="selected"';?> value="34">34</option>
                    <option <?php if ($ss == "35") echo ' selected="selected"';?> value="35">35</option>
                    <option <?php if ($ss == "36") echo ' selected="selected"';?> value="36">36</option>
                    <option <?php if ($ss == "37") echo ' selected="selected"';?> value="37">37</option>
                    <option <?php if ($ss == "38") echo ' selected="selected"';?> value="38">38</option>
                    <option <?php if ($ss == "39") echo ' selected="selected"';?> value="39">39</option>
                    <option <?php if ($ss == "40") echo ' selected="selected"';?> value="40">40</option>
                    <option <?php if ($ss == "41") echo ' selected="selected"';?> value="41">41</option>
                    <option <?php if ($ss == "42") echo ' selected="selected"';?> value="42">42</option>
                    <option <?php if ($ss == "43") echo ' selected="selected"';?> value="43">43</option>
                    <option <?php if ($ss == "44") echo ' selected="selected"';?> value="44">44</option>
                    <option <?php if ($ss == "45") echo ' selected="selected"';?> value="45">45</option>
                    <option <?php if ($ss == "46") echo ' selected="selected"';?> value="46">46</option>
                    <option <?php if ($ss == "47") echo ' selected="selected"';?> value="47">47</option>
                    <option <?php if ($ss == "48") echo ' selected="selected"';?> value="48">48</option>
                    <option <?php if ($ss == "49") echo ' selected="selected"';?> value="49">49</option>
                    <option <?php if ($ss == "50") echo ' selected="selected"';?> value="50">50</option>
                    <option <?php if ($ss == "51") echo ' selected="selected"';?> value="51">51</option>
                    <option <?php if ($ss == "52") echo ' selected="selected"';?> value="52">52</option>
                    <option <?php if ($ss == "53") echo ' selected="selected"';?> value="53">53</option>
                    <option <?php if ($ss == "54") echo ' selected="selected"';?> value="54">54</option>
                    <option <?php if ($ss == "55") echo ' selected="selected"';?> value="55">55</option>
                    <option <?php if ($ss == "56") echo ' selected="selected"';?> value="56">56</option>
                    <option <?php if ($ss == "57") echo ' selected="selected"';?> value="57">57</option>
                    <option <?php if ($ss == "58") echo ' selected="selected"';?> value="58">58</option>
                    <option <?php if ($ss == "59") echo ' selected="selected"';?> value="59">59</option>
                            
                </select>
                s
                
            </td>
            
        </tr>       
         
        <tr valign="top">  
            
            <th scope="row">
            
                <img width="24" height="24" style="float: left; vertical-align: middle; margin: -3px 5px 0 0;" src="<?php bloginfo('template_url'); ?>/_admin/images/movie.png" alt="<?php _e('MP4 or FLV URL', novavideo_get_theme_name()); ?>"/><?php _e('Video URL', novavideo_get_theme_name()); ?>
            
            </th>
            
            <td>
            
                <input style="width:40%;" type="text" name="url_video" value="<?php echo get_post_meta($post->ID, 'url_video', true); ?>" /><br /><span>(<?php _e('accepted formats: flv or mp4', novavideo_get_theme_name()); ?>)</span>
            
            </td>
        
        </tr>
        
        
        <tr valign="top">  
            
            <th scope="row">
            
                <img width="24" height="24" style="float: left; vertical-align: middle; margin: -3px 5px 0 0;" src="<?php bloginfo('template_url'); ?>/_admin/images/thumbnail.png" alt="<?php _e('Thumb URL', novavideo_get_theme_name()); ?>"/><?php _e('Thumbnail', novavideo_get_theme_name()); ?> URL
            
            </th>
            
            <td>
            
                <input style="width:40%;" type="text" name="url_thumb" value="<?php echo get_post_meta($post->ID, 'url_thumb', true); ?>" /><br /><span>(<?php _e('accepted formats: jpg, png or gif', novavideo_get_theme_name()); ?>)</span>
            
            </td>
        
        </tr>       
          
            
            <th scope="row">
            
                <img width="22" height="22" style="float: left; vertical-align: middle; margin: -3px 5px 0 0;" src="<?php bloginfo('template_url'); ?>/_admin/images/embed.png" alt="<?php _e('Video player code', novavideo_get_theme_name()); ?>"/><?php _e('Video player code', novavideo_get_theme_name()); ?><br /><span>(<?php _e('eg: iframe or embed', novavideo_get_theme_name()); ?>)</span>
            
            </th>
             
            <td>

                <textarea style="width:80%;" name="code" rows="10" cols="30"><?php echo get_post_meta($post->ID, 'code', true); ?></textarea>
                
            </td>
        
        <tr valign="top">
        
            <th scope="row">
            
                <img width="24" height="24" style="float: left; vertical-align: middle; margin: -3px 5px 0 0;" src="<?php bloginfo('template_url'); ?>/_admin/images/preview.png" alt="<?php _e('Video preview', novavideo_get_theme_name()); ?>"/><?php _e('Video preview', novavideo_get_theme_name()); ?>
            
            </th>
             
            <td>
            
                <?php if( novavideo_get_video_rendering() ) : ?>
                
                    <style type="text/css">                                                                           
                        .wp-video{
                            height: 435px;
                        }                            
                    </style>
                        
                    <?php echo novavideo_get_video_rendering(); ?>
                        
                <?php else:?>
                    
                    <?php echo '<span>' . __('Complete the fields "Video URL" or "Video player code" above in order to preview the video.', novavideo_get_theme_name()) . '</span>';?>
                        
                <?php endif;?>
            </td>
        </tr>
        
        <?php if ( get_post_meta($post->ID, 'sponsor', true) ) : ?>
        
            <tr valign="top">  
                
                <th scope="row">
                
                    <img width="24" height="24" style="float: left; vertical-align: middle; margin: -3px 5px 0 0;" src="<?php bloginfo('template_url'); ?>/_admin/images/sponsored-link2.png" alt="<?php _e('Sponsored link', novavideo_get_theme_name()); ?>"/><?php _e('Sponsored link', novavideo_get_theme_name()); ?> URL :<br /><span>(http://...)</span>
                
                </th>
                
                <td>
                
                    <input style="width:40%;" type="text" name="url_player" value="<?php echo esc_attr( get_post_meta($post->ID, 'url_player', true) ); ?>" />
            
                </td>
            
            </tr>
            
        <?php endif; ?>
                
        <tr valign="top">  
            
            <th scope="row">
            
                <img width="24" height="24" style="float: left; vertical-align: middle; margin: -3px 5px 0 0;" src="<?php bloginfo('template_url'); ?>/_admin/images/advertising-meta.png" alt="<?php _e('Advertising', novavideo_get_theme_name()); ?>"/><?php _e('Advertising', novavideo_get_theme_name()); ?> :<br /><span>(<?php _e('Display advertising under the player. Eg: iframe, href...', novavideo_get_theme_name()); ?>)</span>
            
            </th>
            
            <td>
            
                <textarea style="width:80%;" name="ad_player" rows="10" cols="30"><?php echo esc_attr( get_post_meta($post->ID, 'ad_player', true) ); ?></textarea> 
            
            </td>
        
        </tr>  
        
        <?php if( get_post_meta($post->ID, 'ad_player', true) ):?>
        
        <tr valign="top">  
            
            <th scope="row">
            
                <?php _e('Overview of the ad/link', novavideo_get_theme_name()); ?> :
            
            </th>
            
            <td>
                <?php echo get_post_meta( $post->ID, 'ad_player', true ); ?>
            </td>
        
        </tr>
        
        <?php endif;?>     
        
        </table>

    <?php
    }
    
    add_action('save_post', 'novavideo_infos_sponsor_save_meta_box', 10, 2);
    function novavideo_infos_sponsor_save_meta_box($post_id, $post){
        if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
           return;
        
        
        if( isset( $_POST['post_type'] ) && 'post' == $_POST['post_type'])
        {
           if(!current_user_can('edit_page', $post_id))
               return;
        }
        else
           if(!current_user_can('edit_post', $post_id))
               return;
               
        // Do nothing during a bulk edit or inline edit
        if ( isset($_REQUEST['bulk_edit']) || ( isset($_REQUEST["action"]) && $_REQUEST["action"] == 'inline-save' ) )
            return;
               
                      
            if( ( isset($_POST['duree_hh']) ) && ( isset($_POST['duree_mm']) ) && ( isset($_POST['duree_ss']) ) ){
                $duree_seconds = $_POST['duree_hh'] * 3600 + $_POST['duree_mm'] * 60 + $_POST['duree_ss'];
                update_post_meta($post_id, 'complete', $duree_seconds);
            }
            
                
            if( ( isset($_POST['duree_extrait_hh']) ) && ( isset($_POST['duree_extrait_mm']) ) && ( isset($_POST['duree_extrait_ss']) ) ){    
                $duree_extrait_seconds = $_POST['duree_extrait_hh'] * 3600 + $_POST['duree_extrait_mm'] * 60 + $_POST['duree_extrait_ss'];
                update_post_meta($post_id, 'extract', $duree_extrait_seconds);
            }
            
            
            if( isset($_POST['url_video']) )
                update_post_meta($post_id, 'url_video', $_POST['url_video']);
            
            if( isset($_POST['url_thumb']) )
                update_post_meta($post_id, 'url_thumb', $_POST['url_thumb']);         
                       
            if( isset($_POST['code']) )
                update_post_meta($post_id, 'code', $_POST['code']);
                
            if( isset($_POST['url_player']) )
                update_post_meta($post_id, 'url_player', $_POST['url_player']);
                
            if( isset($_POST['ad_player']) )
                update_post_meta($post_id, 'ad_player', $_POST['ad_player']);                         
                
        
        return;
    }
    
?>