<?php

$theme_name = novavideo_get_theme_name();

/**** Set widgets zones ****/
    if ( function_exists('register_sidebar') ) {
        register_sidebar(array(
            'name'          => 'Sidebar',
            'id'            => 'sidebar',
            'before_widget' => '<div class="sidebar-widget">',
            'after_widget'  => '</div>',
            'before_title'  => '<div class="widget-title"><span>',
            'after_title'   => '</span></div>'
        )); 
        register_sidebar(array(
            'name'          => 'Video Sidebar',
            'id'            => 'video-sidebar',
            'before_widget' => '<div class="sidebar-widget">',
            'after_widget'  => '</div>',
            'before_title'  => '<div class="widget-title"><span>',
            'after_title'   => '</span></div>'
        ));
        register_sidebar(array(
            'name'          => __('Video Content', $theme_name),
            'id'            => 'video-content',
            'before_widget' => '<div class="content-widget">',
            'after_widget'  => '</div>',
            'before_title'  => '<div class="widget-title"><span>',
            'after_title'   => '</span></div>'
        )); 
        register_sidebar(array(
            'name'          => 'Homepage Content',
            'id'            => 'homepage',
            'before_widget' => '<div class="content-widget">',
            'after_widget'  => '</div>',
            'before_title'  => '<div class="widget-title"><span>',
            'after_title'   => '</span></div>'
        )); 
        register_sidebar(array(
            'name'          => 'Footer 1',
            'id'            => 'footer1',
            'before_widget' => '<div class="footer-widget">',
            'after_widget'  => '</div>',
            'before_title'  => '<div class="widget-title"><span>',
            'after_title'   => '</span></div>'
        ));  
        register_sidebar(array(
            'name'          => 'Footer 2',
            'id'            => 'footer2',
            'before_widget' => '<div class="footer-widget">',
            'after_widget'  => '</div>',
            'before_title'  => '<div class="widget-title"><span>',
            'after_title'   => '</span></div>'
        ));  
        register_sidebar(array(
            'name'          => 'Footer 3',
            'id'            => 'footer3',
            'before_widget' => '<div class="footer-widget">',
            'after_widget'  => '</div>',
            'before_title'  => '<div class="widget-title"><span>',
            'after_title'   => '</span></div>'
        ));  
        register_sidebar(array(
            'name'          => 'Footer 4',
            'id'            => 'footer4',
            'before_widget' => '<div class="footer-widget-last">',
            'after_widget'  => '</div>',
            'before_title'  => '<div class="widget-title"><span>',
            'after_title'   => '</span></div>'
        ));
        
    }
             
/****/

?>