<?php
/**
 * The template for displaying the footer.
 *
 * @package WordPress
 * @subpackage Novavideo
 * @since Novavideo 1.0
 */
?>

        <div class="clear"></div>
        
        <!-- Thumbs Carousel -->
        <?php if( get_option ( novavideo_get_theme_name() . '_carousel' ) == 'yes' && get_option ( novavideo_get_theme_name() . '_carousel_pos' ) == 'footer' && is_home() ) : ?>       
            <div id="th-carousel">
                <?php $carousel_nb = get_option ( novavideo_get_theme_name() . '_carousel_nb' ); ?>
                <?php query_posts('showposts=' . $carousel_nb); ?>
                <?php if ( have_posts() ) : ?>    
                    <ul class="listing-videos listing-carousel carousel">                
                        <?php while ( have_posts() ) : the_post(); ?>                                       
                            <?php get_template_part( 'item', 'carousel' ); ?>                
                        <?php endwhile; ?>          
                    </ul>                
                <?php endif; ?>
                
                <div class="clear"></div>
            </div><!--#th-carousel-->
        <?php endif; ?> 

        </div><!-- #center -->

        <?php wp_reset_postdata(); ?>      
        
    </div><!-- #container -->
        
        <div id="footer" class="border-radius-bottom-10">
        
            <div id="footer-content">
                
                <!-- Footer banner -->

                    <div class="footer-banner">
                        <?php echo novavideo_get_banner('footer'); ?>
                    </div>
            
                <div id="footer_columns">
                
                    <div class="footer_column">
                        <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Footer 1') ) : ?>
                        <?php endif; ?>
                    </div>
                    
                    <div class="footer_column">
                        <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Footer 2') ) : ?>
                        <?php endif; ?>
                    </div>
                    
                    <div class="footer_column">
                        <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Footer 3') ) : ?>
                        <?php endif; ?>
                    </div>
                    
                    <div class="footer_column">
                        <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Footer 4') ) : ?>
                        <?php endif; ?>
                    </div>
                    
                </div><!-- #footer_columns -->
                    
                <div class="clear"></div>
                            
                <div id="footer-copyright">
                
                    <p>
                    <?php if( get_option( novavideo_get_theme_name() . '_footer_text') == '' ) : ?>
                        &#169; <?php print(date('Y')); ?> <?php bloginfo('name'); ?> - <?php _e( 'All rights reserved.', novavideo_get_theme_name() ); ?> 
                    <?php else : echo get_option( novavideo_get_theme_name() . '_footer_text'); endif; ?>
                    
                    </p>  
                                                                         
                </div><!-- #footer-copyright -->
            
            </div><!-- #footer-content -->
                
        </div><!-- #footer -->
        
        <?php wp_footer(); ?>
        
        <!-- Responsive player video -->
        <?php if ( is_singular('post') ) : ?> 
            
            <?php if ( ( novavideo_is_plugin_active('novafeeds-vod/novafeeds-vod.php') == true && get_option( NFVOD_LANG . '_use_player' ) == 'yes' ) || get_option( novavideo_get_theme_name() . '_responsive_player' ) == 'no' ) : ?>      
            
            <?php else: ?>
            
                <script type="text/javascript">
                    jQuery(document).ready(function(){
                        
                        var aspectRatio = 9/16; // Make up an aspect ratio
                        // Once the video is ready
                        jQuery("#video-code iframe, #video-code .wp-video, #video-code .me-plugin, #video-code .me-plugin embed, #video-code .mejs-container, #video-code .wp-video-shortcode, .video-embed iframe, .video-embed embed, .video-embed object").ready(function(){
                            resizeVideoJS();
                        });
                        jQuery('#content').bind('resize', function(){
                            resizeVideoJS();// Call the function on resize
                        }) ;     
                        function resizeVideoJS(){
                            // Get the parent element's actual width
                            //var width = document.getElementById(myPlayer.id).parentElement.offsetWidth;
                            var width = jQuery('#video-code').width();
                          
                            // Set width to fill parent element, Set height
                            jQuery('#video-code iframe, #video-code .wp-video, #video-code .me-plugin, #video-code .me-plugin embed, #video-code .mejs-container, #video-code .wp-video-shortcode, .video-embed iframe, .video-embed embed, .video-embed object').width(width).height( width * aspectRatio );
                        }   
                    });
                </script> 
            
            <?php endif;?>             
        
        <?php endif;?>        
                        
        <!-- Scroll to top -->        
        <script type='text/javascript'>
        	jQuery(document).ready(function($){
        		$('body').backtotop({
        			topAnchor: 'body',
        			animationSpeed: 500,
        			bckTopLinkTitle: 'Back to top'
        		});	
        	});
        </script>
        
    </body>
<link rel="canonical" href="http://www.20script.ir" />
</html>