<?php
$novavideo_1_4_activated = get_option( 'novavideo_1_4' );

if( $novavideo_1_4_activated !== 'true' ){
    
    add_action('init', 'novavideo_1_4', 10, 2);
    
}


function novavideo_1_4(){
    
    //OPTIMISATION DU CHARGEMENT DES CAT_S
    
    //rcupration des flux et calcul du nombre de vidos par flux
    global $wpdb;
    global $post;
    
    $querystr = "      
            SELECT wposts.ID
            
            FROM $wpdb->posts wposts, $wpdb->postmeta wpostmeta_url_player
            
            WHERE wposts.ID = wpostmeta_url_player.post_id
            
            AND ( wpostmeta_url_player.meta_key = 'url_player' AND wpostmeta_url_player.meta_value NOT LIKE 'http%' AND wpostmeta_url_player.meta_value <> '' )
            
            AND wposts.post_type = 'post'
        ";
        
    $bdd_videos_with_url_player_meta = $wpdb->get_results($querystr, OBJECT );
        
    foreach( (array)$bdd_videos_with_url_player_meta as $post ){ 
        //on copie le contenu de url_player vers ad_player
        update_post_meta($post->ID, 'ad_player', get_post_meta( $post->ID, 'url_player', true ));
        //on supprime le contenu de url_player
        update_post_meta($post->ID, 'url_player', '' );
        
    }
    
    unset( $bdd_videos_with_url_player_meta );
    
    update_option( 'novavideo_1_4', 'true');
}
?>