jQuery(document).ready(function() {

	// The number of the next page to load (/page/x/).
	var pageNum = parseInt(pbd_alp.startPage) + 1;
	
	// The maximum number of pages the current query can return.
	var max = parseInt(pbd_alp.maxPages);
	
	// The link of the next page of posts.
	var nextLink = pbd_alp.nextLink;
    
    //Load more videos translation
    var more = pbd_alp.more;
    
    //Loading videos translation
    var loading = pbd_alp.loading;

	/**
	 * Replace the traditional navigation with our own,
	 * but only if there is at least one page of new posts to load.
	 */
    
	if(pageNum <= max) {
	   
       // Remove the traditional navigation.
		jQuery('.pagination').remove();
       
		// Insert the "More Posts" link.
        if( jQuery('#content').find('ul.listing-videos').length == 1 ){
            jQuery('#content ul.listing-videos').append('<li class="more-posts pbd-alp-placeholder-' + pageNum + '"></li>');
            jQuery('#content').append('<p id="pbd-alp-load-posts" class="pagination"><a href="#">' + more + '</a></p>');
		}
		
	}
	
	
	/**
	 * Load new posts when the link is clicked.
	 */
	jQuery('#pbd-alp-load-posts a').click(function() {
	
		// Are there more posts to load?
		if(pageNum <= max) {
		
			// Show that we're working.
			jQuery(this).text(loading);
			
			jQuery('.pbd-alp-placeholder-'+ pageNum).load(nextLink + ' #content ul.listing-videos li',
				function() {
				    //jQuery('.pbd-alp-placeholder-'+ pageNum).children('li').unwrap();                   
                    
                    jQuery(this).children().hide();
                    
                   
                    $newContent = jQuery(this).children().unwrap();
                    
                    
                    $newContent.fadeIn('fast');

					// Update page number and nextLink.
					pageNum++;
					nextLink = nextLink.replace(/\/page\/[0-9]?/, '/page/'+ pageNum);
					
					// Add a new placeholder, for when user clicks again.
                    jQuery('#content ul.listing-videos').append('<li class="more-posts pbd-alp-placeholder-'+ pageNum +'"></li>');
					
					// Update the button message.
					if(pageNum <= max) {
						jQuery('#pbd-alp-load-posts a').text(more);
					} else {
						jQuery('#pbd-alp-load-posts a').remove();
					}
				}
			);
		} else {
			jQuery('#pbd-alp-load-posts a').append('.');
		}	
		
		return false;
	});
});