<?php 
/**
 * Template Name: Tags
 *
 * @package WordPress
 * @subpackage Novavideo
 * @since Novavideo 1.0
 */
 
get_header(); ?>

    <?php if(have_posts()) : ?><?php while(have_posts()) : the_post(); ?>
        
        <h1 class="border-radius-5"><?php the_title(); ?></h1>
        
        <?php endwhile; ?>
        
    <?php endif; ?>

    <div id="page" class="post-content">
    
        <?php the_content(); ?>
        
            <?php
                $args = array(
                    'smallest'                  => 12, 
                    'largest'                   => 24,
                    'unit'                      => 'px', 
                    'number'                    => 0,  
                    'format'                    => 'list',
                    'separator'                 => '',
                    'orderby'                   => 'name', 
                    'order'                     => 'ASC',
                    'exclude'                   => null, 
                    'include'                   => null, 
                    'topic_count_text_callback' => 'default_topic_count_text',
                    'link'                      => 'view', 
                    'taxonomy'                  => 'post_tag', 
                    'echo'                      => true,
                    'child_of'                  => null
                );
            ?>
            
        <?php wp_tag_cloud( $args ); ?>
        
        <div class="clear"></div>
        
        </div><!-- #page --> 
        
    </div><!-- #content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>